Details

    • Template:
    • Sprint:
      Bolt Kanban
    • Release Notes:
      New Feature
    • Release Notes Summary:
      The ed25519 key type is now supported out-of-the-box in Bolt packages.
    • QA Risk Assessment:
      Needs Assessment

      Description

      net-ssh requires several extra libraries for ed25519 support. Without them, users see

      2018-02-26T13:59:32.131096 WARN   Net::SSH: ignoring unimplemented key:unsupported key type `ssh-ed25519'
      net-ssh requires the following gems for ed25519 support:
       * rbnacl (>= 3.2, < 5.0)
       * rbnacl-libsodium, if your system doesn't have libsodium installed.
       * bcrypt_pbkdf (>= 1.0, < 2.0)
      See https://github.com/net-ssh/net-ssh/issues/478 for more information
      Gem::MissingSpecError : "Could not find 'rbnacl' (< 5.0, >= 3.2.0) among 86 total gem(s)
      

      Add support for ed25519 in packages.

      Update: now that net-ssh 5.0 is out, this should be simpler to add.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  Unassigned
                  Reporter:
                  michael.smith Michael Smith
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: